<p style="margin-bottom: 0cm;">Hello,<br>I&#39;m used Ipython1 SAW since
some months , but now I obtain an error between Ipython1 and test
library "py.test" under Linux (and Windows also).</p>
<p style="margin-bottom: 0cm;"><br>
</p>
<p style="margin-bottom: 0cm;">When I write in a python command
prompt:</p>
<p style="margin-bottom: 0cm;">"&gt;&gt;&gt; import
ipython1.kernel.api as kernel"</p>
<p style="margin-bottom: 0cm;">I have no error and I can use Ipython1
without error : )<br></p>
<p style="margin-bottom: 0cm;"><br>
</p>
<p style="margin-bottom: 0cm;">But, I create a python test file
test_WS_SessionManager.py which begin by</p>
<p style="margin-bottom: 0cm;">"import ipython1.kernel.api as
kernel"</p>
<p style="margin-bottom: 0cm;"> I write in a command prompt : "py.test
test_WS_SessionManager.py", I obtain the error message that you can
read in attached file: "error.txt"</p>
<p style="margin-bottom: 0cm;">(the error append with line: "from
IPython.genutils import get_home_dir")</p>
<p style="margin-bottom: 0cm;"><br>
</p>
<p style="margin-bottom: 0cm;">I also try to use Doctest, and to
update my Ipython1 version, but I have also an error at these line :(</p>
<p style="margin-bottom: 0cm;"><br>
</p>
<p style="margin-bottom: 0cm;">Although I search on internet, I don&#39;t
solve this problem, so I need your help please.</p>
<p style="margin-bottom: 0cm;"><br>
</p>
<p style="margin-bottom: 0cm;">Regards.</p>
<p style="margin-bottom: 0cm;"><br>
</p>
<p style="margin-bottom: 0cm;">Vincent</p>